package com.yc.ship.module.product.api;

import com.yc.ship.module.product.api.dto.ReduceStockReqDTO;

/**
 * 航次相关对外接口
 */
public interface VoyageApi {

    /**
     * 初定预减库存
     * @param reqDTO 请求参数
     */
    void preReduceStock(ReduceStockReqDTO reqDTO);

    /**
     * 初定取消还库存
     * @param reqDTO 请求参数
     */
    void preCancelReduceStock(ReduceStockReqDTO reqDTO);

    /**
     * 确定时减库存
     * @param reqDTO 请求参数
     */
    void reduceStock(ReduceStockReqDTO reqDTO);

    /**
     * 确定时取消减库存
     * @param reqDTO 请求参数
     */
    void cancelReduceStock(ReduceStockReqDTO reqDTO);

    void cancelReduceStockNew(ReduceStockReqDTO reqDTO);
}
